<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/29/2005 *
 * ===================                          Last change: 04/29/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-cache_stats.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Stats for the caching extension                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Statistiken fuer die Cache-Erweiterung           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Activated?
if (ifInternalStatsEnabled()) {
	// Prepare data for the template
	$content['total_hits'] = (getStatsEntry('db_hits') + getStatsEntry('cache_hits'));
	$content['cache_perc'] = (getStatsEntry('cache_hits') / $content['total_hits'] * 100);

	// Load template
	loadTemplate('admin_cache_stats', FALSE, $content);
} else {
	// Deactivated, which is good for performance
	displayMessage('{--ADMIN_CACHE_DB_STATS_DEACTIVATED--}');
}

// [EOF]
?>
