<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 04/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_emails.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit ordered mails e.g. redirecting the URL      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Werbebuchungen aendern (z.B. umleiten der URL)   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if ((isFormSent()) && (!isPostRequestElementSet('id'))) {
	unsetPostRequestElement('ok');
} // END - if

// Form sent or anything else? ;-)
if ((isFormSent('edit')) && (isPostRequestElementSet('id')) && (isGetRequestElementSet('type')) && (postRequestElement('type') == 'normal')) {
	// Get data
	$content = getPoolDataFromId(postRequestElement('id'));

	// Load template
	loadTemplate('admin_edit_email', FALSE, $content);
} elseif ((isPostRequestElementSet('id')) && (isGetRequestElementSet('type')) && (postRequestElement('type') == 'bonus')) {
		// Make also this email editable
		$result = sqlQueryEscaped('SELECT
	`id`,
	`subject`,
	`text`,
	`url`
FROM
	`{?_MYSQL_PREFIX?}_bonus`
WHERE
	`id`=%s
LIMIT 1',
		array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);

	// Fetch row
	$content = sqlFetchArray($result);

	// Free result
	sqlFreeResult($result);

	// Load template
	loadTemplate('admin_edit_bonus_email', FALSE, $content);
} elseif (isFormSent('do_edit')) {
	// Save changes
	if ((isPostRequestElementSet('id')) && (isGetRequestElementSet('type')) && (postRequestElement('type') == 'normal')) {
		// Update pool
		$isUpdated = updatePoolDataById(postRequestElement('id'), NULL, array('subject' => postRequestElement('subject'), 'text' => postRequestElement('text'), 'url' => postRequestElemenet('url')));
		if ($isUpdated === TRUE) {
			$content = '{--ADMIN_EMAIL_CHANGES_SAVED--}';
		} else {
			$content = '<span class="bad">{--ADMIN_EMAIL_CHANGES_NOT_SAVED--}</span>';
		}
	} elseif ((isPostRequestElementSet('id')) && (isGetRequestElementSet('type')) && (postRequestElement('type') == 'bonus')) {
		// Update pool
		sqlQueryEscaped("UPDATE
	`{?_MYSQL_PREFIX?}_bonus`
SET
	`subject`='%s',
	`text`='%s',
	`url`='%s'
WHERE
	`id`=%s
LIMIT 1",
			array(
				postRequestElement('subject'),
				postRequestElement('text'),
				postRequestElement('url'),
				bigintval(postRequestElement('id')),
			), __FILE__, __LINE__);

		if (!ifSqlHasZeroAffectedRows()) {
			$content = '{--ADMIN_EMAIL_CHANGES_SAVED--}';
		} else {
			$content = '<span class="bad">{--ADMIN_EMAIL_CHANGES_NOT_SAVED--}</span>';
		}
	} else {
		// No valid action
		$content = '<span class="bad">{--ADMIN_EDIT_EMAIL_FAILED--}</span>';
	}

	// Display message
	displayMessage($content);
} else {
	// Query the pool
	$result = sqlQuery('SELECT
	`id`,
	`sender`,
	`subject`,
	`payment_id`,
	`cat_id`
FROM
	`{?_MYSQL_PREFIX?}_pool`
ORDER BY
	`sender` ASC,
	`timestamp` ASC', __FILE__, __LINE__);

	// Entries found?
	if (!ifSqlHasZeroNums($result)) {
		// There are mail orders available
		$OUT = '';
		while ($content = sqlFetchArray($result)) {
			// Load row template and switch colors
			$OUT .= loadTemplate('admin_edit_email_row', TRUE, $content);
		} // END - while

		// Free memory
		sqlFreeResult($result);

		// Load email template
		loadTemplate('admin_edit_email_select', FALSE, $OUT);
	} else {
		// No mail orders left in pool
		displayMessage('{--ADMIN_NO_MAILS_IN_POOL--}');
	}
}

// [EOF]
?>
