<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/23/2003 *
 * ===================                          Last change: 03/27/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : index.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Entrance page                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Eingangsseite                                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isExtensionInstalled('sql_patches')) {
	// Redirect to admin area
	redirectToUrl('admin.php');
}

// Generate a tableset for the menu title and content
loadTemplate('guest_header', FALSE, array('date_time' => generateDateTime(time(), 1)));

// Add code-message here
handleCodeMessage();

// Some of you needs this to be extracted into a template... ???
loadTemplate('guest_menu_td');

// Add the guest's menu here...
if ((isGuestMenuEnabled()) || (!isExtensionActive('sql_patches', TRUE))) {
	// Show only when guest menu is active
	addMenu('guest', getAction(), getWhat());
} // END - if

// TDs between menu and content
loadTemplate('guest_menu_content');

// Disable block-mode by default
enableBlockMode(FALSE);

// Construct FQFN
$inc = sprintf("inc/modules/guest/action-%s.php", getAction());

// Is the file there?
if ((isIncludeReadable($inc)) && (isMenuActionValid('guest', getAction(), getWhat()))) {
	// Requested module is available so we load it
	loadIncludeOnce($inc);
} else {
	// Invalid module specified or not found...
	redirectToUrl('modules.php?module=index');
}

if ((isGuestMenuEnabled()) || (!isExtensionActive('sql_patches'))) {
	// Right side of content (hint: a good place for 120x600 skyscraper banner!)
	loadTemplate('guest_content_footer');

	// Some advertising stuff?
	loadTemplate('guest_advert2');

	outputHtml('  </td>
</tr>');

	// Goto TOP template
	loadTemplate('guest_goto_top');
} // END - if

// Footer template (Thanx to Mr. Glaus!)
loadTemplate('guest_footer');

// [EOF]
?>
